%define qtdir /usr/lib/qt-2.1.0
%define KDEDATE 20000324
%define version 1.89.%{KDEDATE}
%define kderelease 1mdk
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define kdeprefix /opt/kde2

%define name koffice
Name: %{name}
Icon: kde-icon.xpm
URL: http://koffice.kde.org
Summary: Set of office applications for KDE
Version: %{version}
Release: %{kderelease}
#Serial: %{KDEDATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{KDEDATE}.tar.bz2
Source1: kde2
Source2: killustrator.xpm
Source3: kspread.xpm
Source4: kword.xpm
Source5: kpresenter.xpm
Source6: mini-killustrator.xpm
Source7: mini-kspread.xpm
Source8: mini-kword.xpm
Source9: mini-kpresenter.xpm
Group: Office
Copyright: GPL
BuildRoot: /%{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Obsoletes: killustrator
Requires: kdelibs2 = %{version}

%description
Office applications based on the K Desktop Environment libraries.

KOffice contains KWord (word processor), KSpread (spreadsheet),
KPresenter (presentations), KChart (diagram generator),
KGraph (scientific diagrams), KImage (image viewer),
KImageShop (image editor), KIllustrator (vector drawing program)

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}

make -f Makefile.cvs

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG" \
	./configure  \
	--prefix=%{kdeprefix} \
	--enable-final \
	--with-install-root=$RPM_BUILD_ROOT

make

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip

mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/applnk/Applications/KOffice
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/mimelnk/application/
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/mimelnk/text/
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin

# /opt/kde2/bin/kde2
install -m 755 $RPM_SOURCE_DIR/kde2 \
	$RPM_BUILD_ROOT/%{kdeprefix}/bin/

install -m 644 $RPM_SOURCE_DIR/killustrator.xpm $RPM_BUILD_ROOT/%{prefix}/share/icons/
install -m 644 $RPM_SOURCE_DIR/kword.xpm $RPM_BUILD_ROOT/%{prefix}/share/icons/
install -m 644 $RPM_SOURCE_DIR/kspread.xpm $RPM_BUILD_ROOT/%{prefix}/share/icons/
install -m 644 $RPM_SOURCE_DIR/kpresenter.xpm $RPM_BUILD_ROOT/%{prefix}/share/icons/
install -m 644 $RPM_SOURCE_DIR/mini-killustrator.xpm $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/killustrator.xpm
install -m 644 $RPM_SOURCE_DIR/mini-kword.xpm $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/kword.xpm
install -m 644 $RPM_SOURCE_DIR/mini-kspread.xpm $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/kspread.xpm
install -m 644 $RPM_SOURCE_DIR/mini-kpresenter.xpm $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/kpresenter.xpm

{
        # Find apps .desktop files and create kdelnks and wrappers for KDE 1
	pushd $RPM_BUILD_ROOT/%{kdeprefix}/share/applnk/Applications/KOffice
	find . -type f -name '*.desktop' | sed -e 's,\./,,' | while read desktopfile; do \
             if [ $desktopfile != "example.desktop" -a $desktopfile != "kgraph.desktop" ]; then \
                 binary=`echo $desktopfile | sed -e 's/\.desktop//'`; \

		 perl -p -e 's/\[Desktop Entry\]/\# KDE Config File\n\[KDE Desktop Entry\]/;
                             s/^Icon\s*=\s*(.*)$/Icon=$1.xpm/;
                             s/^Exec\s*=\s*(.*)$/Exec=$1.sh/' \
                      $desktopfile > \
		      $RPM_BUILD_ROOT/%{prefix}/share/applnk/Applications/KOffice/$binary.kdelnk; \
                  echo -e "#!/bin/sh\nsource /opt/kde2/bin/kde2\n$binary\n" > \
		      $RPM_BUILD_ROOT/%{prefix}/bin/$binary.sh; \
		  chmod a+x $RPM_BUILD_ROOT/%{prefix}/bin/$binary.sh; \
	     fi; \
	done
	popd

        # Find mimetypes .desktop files and create kdelnks for KDE 1
	pushd $RPM_BUILD_ROOT/%{kdeprefix}/share/mimelnk/
	find . -type f -name '*.desktop' | sed -e 's,\./,,' | while read desktopfile; do \
	    if [ $desktopfile != "application/x-example.desktop" -a $desktopfile != "application/x-kgraph.desktop" ]; then \
                 mimetype=`echo $desktopfile | sed -e 's/\.desktop//'`; \
		 perl -p -e 's/\[Desktop Entry\]/\# KDE Config File\n\[KDE Desktop Entry\]/;
                             s/^Icon\s*=\s*(.*)$/Icon=$1.xpm/' \
		     $desktopfile > \
                     $RPM_BUILD_ROOT/%{prefix}/share/mimelnk/$mimetype.kdelnk; \
             fi; \
        done
	popd

	pushd $RPM_BUILD_ROOT

	find . -type d | sed '1,3d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{name}

	find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{name}

	find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{name}

	popd
}

#
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
    file $i|grep -q "not stripped" && strip $i
done

echo "%docdir" /%{prefix}/share/doc/ >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
#rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/files.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Sat Mar 24 2000 David Faure <david@mandrakesoft.com> 1.89.20000324-1mdk
- current snapshot
- updated description
- generate KDE 1 kdelnks and wrapper scripts

* Sat Oct 23 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Initial RPM
